#!/usr/bin/python

import re, os, sys
import shutil

# copy environment
env = {}
env.update(os.environ)

# set localdir to the location where you want to 
# store your local copy of the GitHub repository
#localdir = '/usr/local/share/kicad/github-repo'
# environment variabe KISYSMOD must be set before
# calling this script to match sys_table entrys
localdir = env['KISYSMOD']


# within kikad-winbuilder we use bzr 
#
#found = None
#sep = ';' if (re.compile('^[wW][Ii][Nn]').match(sys.platform)) else ':'
#paths = env['PATH'].split(sep)
#for path in paths: 
#  fpath = os.path.join(path,'git')
#  if (os.path.isfile(fpath) and os.access(fpath, os.X_OK)):
#     found = True
#     cmd = fpath
#     break
#
#if not found: 
#  print "cannot find git executable"
#  exit(1)
cmd=env['PATH_BZR'] + '\\bzr.exe'
#args = ['git', 'pull']
args = ['bzr', 'pull']

dirs = [x for x in os.listdir(localdir) if os.path.isdir(os.path.join(localdir,x))]

for dir in dirs: 
    print dir,': ',
    sys.stdout.flush()
    os.chdir(os.path.join(localdir, dir))
    os.spawnve(os.P_WAIT, cmd, args, env)

